Issue 18004 - Line Number / Row Number (column) of Cursor Position Should Be Shown in Status Bar
Summary: Line Number / Row Number (column) of Cursor Position Should Be Shown in Statu...
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: viewing (show other issues)
Version: OOo 1.1 RC2
Hardware: All All
: P3 Trivial with 103 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa, rfe_eval_ok
: 4965 18007 33975 55925 56200 89613 101823 (view as issue list)
Depends on:
Blocks:
 
Reported: 2003-08-08 01:55 UTC by tamblyne
Modified: 2019-06-30 08:20 UTC (History)
21 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.3
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description tamblyne 2003-08-08 01:55:15 UTC
Currently, there is no option to include the line number of the cursor position
in the status bar.  For editing complex documents, this would be nice to have.  

Thanks, 

Tam
Comment 1 jimk55 2003-08-08 05:18:55 UTC
This would be a very nice touch. 
Jim TE 
Comment 2 tamblyne 2003-08-08 06:31:37 UTC
*** Issue 18007 has been marked as a duplicate of this issue. ***
Comment 3 rblackeagle 2003-08-08 18:35:50 UTC
Yes, please add this simple feature.
Comment 4 lohmaier 2003-08-10 00:55:58 UTC
*** Issue 18007 has been marked as a duplicate of this issue. ***
Comment 5 lohmaier 2003-08-10 00:56:48 UTC
*** Issue 4965 has been marked as a duplicate of this issue. ***
Comment 6 lohmaier 2003-08-10 01:00:11 UTC
Setting target-milestone, OS, Platform -> ALL
from issue 4965:
Since in business communication there are norms governing the location of 
certain text elements (e.g. addresses) on the pages of letters,
I think it would be useful to have the cursor's precise location in a
unit of 
choice (mm, inches) on the page in the statusbar.
Comment 7 h.ilter 2003-08-11 16:15:35 UTC
Reassigned to BH
Comment 8 con.hennessy 2003-09-24 23:38:04 UTC
Actually I think adding the ability to add any type of output in the status bar 
would be a really good think as it would allow developers to add what they 
want/need e.g. : 
language of current word 
word/line count of current selection 
word/line count 
etc. 
Comment 9 bettina.haberer 2003-10-10 12:24:28 UTC
Set to started (pre-approved).
Comment 10 guido.pinkernell 2003-10-11 12:48:19 UTC
Word count should definitely be a part of the info being displayed in
the status bar. The present procedure to click your way through to
statistics every time when one needs the information is far too
cumbersome, esp. for journalists and other people who make a living
from composing texts.

Guido
Comment 11 rambousek 2003-11-15 12:07:00 UTC
I would like statistics in status bar, too.
word, line count, also current cursor position - number of characters
on actual line, actual line number
That would be great :)
Comment 12 bettina.haberer 2004-04-08 21:41:11 UTC
Sorry, the redesign of the status-bar is not part of any Q-keyfeature.
Comment 13 loony 2004-08-05 14:36:18 UTC
Hi,

this feature is one of that ones why most users stay to use MS-Word! As an
author you must comply certain rules (number of character per line, number of
lines per page etc.). In MS-Word you have all that info in the statusbar. We
need this! Thanks!

Current line/Lines on page
current char/chars of current line
current word/words of current line
words on page
Comment 14 lohmaier 2004-09-08 18:43:18 UTC
*** Issue 33975 has been marked as a duplicate of this issue. ***
Comment 15 Regina Henschel 2005-10-13 17:07:00 UTC
*** Issue 55925 has been marked as a duplicate of this issue. ***
Comment 16 loony 2006-01-25 08:35:29 UTC
Is there any progress on this, is there already something in cvs? I could help!
Comment 17 lohmaier 2006-02-04 16:46:09 UTC
*** Issue 56200 has been marked as a duplicate of this issue. ***
Comment 18 jeongkyu.kim 2006-06-09 00:51:04 UTC
There is one more request from Korean community forum.

And, considering the number of user requests and the age of this issue, would
someone drop us comment on the progress?
Comment 19 cato_minor 2007-03-23 22:35:27 UTC
Me for this one as well! I want the cursor position (horizontal/vertical) 
shown in the taskbar.

Reason: I know several older people writing with mostly monospaced fonts, and 
occasionally they want to position some text somewhere below other text. They 
won't get into the details of tables ("too much mouse-clicking"), but would 
love to see the cursor position.
Comment 20 Mathias_Bauer 2007-05-17 18:55:41 UTC
While this is not a bad idea we have to solve another problem before we can work
on it. The current status bar is quite full already when the new language
control is added. So adding new controls should be postponed until we have
configuration means for the status bar. We don't need a full dialog, just
something like the configuration menu in the toolbars. This will enable users to
hide and show items to their likings.
Comment 21 madfish01 2007-08-29 11:56:32 UTC
Of course the version should be OOo 2.x.x now
Comment 22 oooforum (fr) 2007-09-11 12:52:37 UTC
Well, 43 votes for this feature.

Is it possible to targeted a version? ;-)
Comment 23 Mathias_Bauer 2007-09-11 13:39:54 UTC
The target of this issue is still under evaluation. We have some long lasting
tasks that make it questionable if we will have enough time to implement that
until the beta of OOo3.0 (feature freeze will be in March 6th).

So I could set the target to 3.x if that makes a difference.
Comment 24 bettina.haberer 2007-09-26 16:01:53 UTC
Hi Mathias, I have changed the current owner to your owner. Please take the
ownership of these enhancements.
Comment 25 kr4bat 2007-11-11 02:59:47 UTC
Make it true
Comment 26 rebon 2007-11-11 11:08:22 UTC
For me it is one of the more important features.
I've big problems to write a document in accordance with any standards, if I
can't see the cursor position.

I hope to see this feature with OOo 3.0
Comment 27 Mathias_Bauer 2007-11-15 13:35:50 UTC
target 3.x.
Means: in case we have time it will be 3.0 if not then in one of the next
feature releases.
Comment 28 antoinep92 2008-04-01 22:02:32 UTC
It is incredible how a small think like this (don't having the line / character
position) can prevent people from switching to open office. I think this feature
would have an important impact for relatively small work.

I hope it will be in 3.0.
Thanks !
Comment 29 guyster104 2008-05-12 20:37:23 UTC
I'm very happy to see that someone has already thought of needing this feature.
 I am visually impaired, use Orca, and the ability to determine whether a line
of text is on page 2, line 1 or page 1, line X is essential for me when editing
large or complex documents.
Comment 30 twinpilot 2008-06-14 10:40:27 UTC
until now i was working with a very old word 97. Even that was showing the
cursor position like "at 2.4cm Row 1 Col 1". This is a very helpful information
for my usage and i really miss it a lot. I can´t understand why it´s not even
implemented in the Oos 3.0 beta already being a MS standard for at least 11
years. I hope this will be implemented soon.
Comment 31 drano 2008-06-14 15:48:04 UTC
This thread has been informative to me.  It confirms the valuable utility of the
cursor position information.  It also indicates highlights the challenge of
designing, programming, and enhancing an application of the complexity of OOo. 
As in the construction of buildings, it can be much easier to add a feature
during the initial design phase than to retro-fit it after completion of the
construction of that design.  If the space in the status bar has already been
allocated then it could be quite a problem to add this functionality while
maintaining the others which already consume the space in the status bar.  OOo
has some advantages over MS Word.  OOo is not intended to be a copy of MS Word.
 Microsoft does create some annoying problems for the world.  If their software
had no benefits or advantages whatsoever, their position in the market could
never have grown to the point that they could cause a problem.
Comment 32 drano 2008-06-14 15:49:18 UTC
This thread has been informative to me.  It confirms the valuable utility of the
cursor position information.  It also highlights the challenge of designing,
programming, and enhancing an application of the complexity of OOo.  As in the
construction of buildings, it can be much easier to add a feature during the
initial design phase than to retro-fit it after completion of the construction
of that design.  If the space in the status bar has already been allocated then
it could be quite a problem to add this functionality while maintaining the
others which already consume the space in the status bar.  OOo has some
advantages over MS Word.  OOo is not intended to be a copy of MS Word. 
Microsoft does create some annoying problems for the world.  If their software
had no benefits or advantages whatsoever, their position in the market could
never have grown to the point that they could cause a problem.
Comment 33 loony 2008-06-15 09:08:06 UTC
Inconceivably, half of it is already there :) 

http://wiki.services.openoffice.org/wiki/Framework/Tutorial/Statusbar_Controller
Comment 34 iop 2008-07-29 15:17:17 UTC
This feature is important! I have to know the exact cursor position (line and
column) in the status bar to write my letters according to the norm!

Please add this soon!
Comment 35 amsmota 2008-10-10 10:22:54 UTC
In addition to the Line Number I think the Column Number will be helpfull too.
Comment 36 mbayer 2008-10-15 00:31:02 UTC
Of course, the cursor position controller in the status bar should not display
only the line number, but also the column (row) number of the cursor. Added "Row
Number" to the summary.

I guess the "fields" field of the status bar, currently used for list levels,
tables and so on, could be used for the line/row display?
Comment 37 mbayer 2008-10-21 02:20:32 UTC
*** Issue 89613 has been marked as a duplicate of this issue. ***
Comment 38 anylene 2009-04-29 03:21:47 UTC
I cannot believe it is now 2009, Version 3.0.1 is out, and the feature is still
missing!!! Like many others, I will prefer to use MS Word 2000 (9 years old!!!)
as long as I would have to resort to Makros to make the cursor position visible.
PLEASE COULD SOMEONE TAKE CARE OF THIS ISSUE???
Comment 39 michael.ruess 2009-05-12 16:01:52 UTC
*** Issue 101823 has been marked as a duplicate of this issue. ***
Comment 40 mikke73 2009-06-12 09:38:01 UTC
OpenOffice 3.1 out, and it's still not fixed. 
I think that priority 5 for this is too low. My wife has to use OpenOffice
Writer at work, and for their professional use this is very high priority -
especially when the employer has not provided any templates for documents.
Comment 41 Mathias_Bauer 2009-06-12 10:34:38 UTC
I think the priority has no meaning at all - the number of duplicates makes this
an important requirement. That's the reason why it has target "3.x". That gives
it a much higher probability of getting implemented than an issues with Prio 3
but target "OOoLater".

But to avoid confusions I agree that Prio 3 is better.
Comment 42 godzifa 2009-07-17 10:21:05 UTC
I'm expecting this feature as well
Comment 43 mattrobertson 2009-07-21 19:52:31 UTC
Wow.  What an extraordinary lapse.  Add my entire office staff as another group
of users who have to stay with Word if we can't get line AND column numbers. 
Word counts and such are not critical to us, but line and column are absolute
requirements.
Comment 44 joe16 2009-09-17 08:28:26 UTC
We would like to get rid of Microsoft Office, but Openoffice Word
does not show cursor position in status bar. We need the feature.
Until this function is not implemented, we can't switch to Openoffice.

Please add this feature to Writer!
Comment 45 anylene 2009-09-17 13:11:16 UTC
mba, could you please give us an update if there's been any progress in this
issue (or the one of programming a status bar controller)? Maybe this need
should be emphasized more so programmers know it exist and feel inclined to
working on it... Please put out a big sign: LOOKING FOR SOMEONE WHO MAKES US A
STATUS BAR CONTROLLER... It is SO important to us!!!
Comment 46 mbayer 2009-09-17 20:44:55 UTC
Holding discussions in issues is not productive, so anybody please use the
discuss@ux.openoffice.org mailing list instead, thanks.
Comment 47 mazsola 2009-10-06 09:32:26 UTC
Please add this important feature soon!


Comment 48 joe16 2009-11-04 08:00:51 UTC
Hey men!

Change to IBM Lotus Symphony!
IBM Lotus Symphony is a versatile graphical text editor.
It's free, and can display cursor position
in the status bar!



Comment 49 ptrewern 2010-06-28 09:36:13 UTC
Many many writers need to know the line length in characters and the same for 
page length in lines
Comment 50 Risto Jääskeläinen 2010-08-18 08:02:15 UTC
You can see in third section of Status bar Row number and Column number if you
use Basic IDE.  So this functionality is already in OpenOffice.org's Status bar
but it is not implemented for all applications.  

I can only guess if this is a priority case (Basic macro is more important than
text document) or a marketing case (free Writer is keep somehow lame so other
text processors sell better) or just a case of ...

It would be nice if Status bar may be modified by user.

Regards
Risto
Comment 51 know_officer 2010-10-27 12:51:12 UTC
I think, showing a line number is something for IDEs or simple text editors. And
the citations for "do like M$ Word" is not really a good advice, as Word shows
only the vertical position in measurement units and the horizontal position as
"column" - whatever that may mean in a world after the fixed fonts era.

The only solution to me is the one from WordPerfect: Show the x/y position in
measurement units. Everything below is useless.
Comment 52 krzysfoltman 2010-10-27 13:28:56 UTC
Actually, the line number and column number are used when a certain row/column
count is required (as with sworn translations in Poland). Displaying these in
measurement units won't help with that.
Comment 53 know_officer 2010-10-29 09:10:55 UTC
This is true for all cases where you are limited to a certain number of chars or
lines and where simple text is not appropriate. I did not think of those cases.

But I think the short discussion reveals the following: The two solutions
(numbers vs. measurement) are not comparable, they cover different
functionality. Ergo, both are needed, they are not alternative and it should be
possible to display them independently from each other. Do you agree?
Comment 54 James Hawthorne 2015-07-24 12:01:49 UTC
Line and column numbers would be a useful addition
Comment 55 Chris 2017-02-04 19:53:09 UTC
showing what line the cursor is on, like MS word does in the status bar, would be very helpful.
Comment 56 Marcus 2017-05-20 11:05:10 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 57 tburly 2017-09-18 10:14:32 UTC
This 'trivial' issue was a single thing that forced me to install VirtualBox & MS Word on all Linux machines at work.
Comment 58 Peter 2017-09-19 05:38:01 UTC
Why so you Think to implement thus is trivial?
Comment 59 tburly 2017-09-19 13:17:45 UTC
Not rising to this bait, sorry. If you don't value user feedback, that's your problem.
Comment 60 chadley78 2017-09-19 13:59:00 UTC
14 years
over 100 votes
3 different companies
still not added.
Comment 61 Peter 2017-09-19 21:20:01 UTC
> If you don't value user feedback, that's your problem.
I wanted aditional feedback. You said it is trivial. My expectation is that you made some thoughts that make you think this is trivial to do. (My expectation it isnt trivial comes from the fact that I read to much code already. ;) So this could be refreshing.)
And for what it counts the saying: a bad plan is better then no plan at all is a big truth in programming. So currently we have no plan. If you help to make a plan of whatsoever quality, it will be an improvement, non?

> Not rising to this bait, sorry.
The only bait I have set is that you write down which step you think the Programm needs to make in order to get the result you want. 
Imho this would be the first step in the right direction. And I am not interested in critsize you as long as you show respect to whomever.

*shrough* Your call. It is all voluntary and I am the last to force you. It is fine if you do not want to or if yu do not feel comfortable. All valid reasons without going into details. But it would be cool, if we could make one step forward instead in pointless forum discussions in a bugtracker.

>14 years
>over 100 votes
>3 different companies
>still not added
*shrough* No arms, no cakes. Currently we lack volunteers. So currently I would say this has to wait, however this is not satisfying. And why should I not try to try to open up an opportunity to make at least one step in the right direction.

All the Best
Peter
Comment 62 DWolfer 2019-06-30 03:07:27 UTC
I cannot believe this bug, (YES BUG) has been open since the beginning of time and still it has not been addressed. This is actually a very critical factor in really being able to use Libra Office. This really needs to be addressed.
Comment 63 Peter 2019-06-30 05:56:50 UTC
It is rated as an enhancement not bug. Please read the report carefully.
Comment 64 Matthias Seidel 2019-06-30 08:20:41 UTC
BTW: What is Libra Office? ;-)